<template>
  <section class="products-section new_arrival" v-if="lengthCounter(products)>0">
    <div class="container" v-if="products[0] != 'id'">
      <div class="title justify-content-between" :class="{ 'title-bg' : addons.includes('ishopet') }">
        <h1>{{ lang.new_arrival }}</h1>
        <a href="javascript:void(0)" @click="navigator">{{ lang.more_products }}<span
            class="icon mdi mdi-name mdi-arrow-right"></span></a>
      </div>
      <productCarouselList class="my-card-shop" :products="products" :grid_class="'grid-2'" :type="'flash'"></productCarouselList>
    </div><!-- /.container -->
  </section><!-- /.products-section -->
  <section class="products-section bg-white new_arrival" v-else-if="show_shimmer">
    <div class="container">
      <ul class="products grid-6">
        <li v-for="(product, index) in 6" :key="index">
          <div class="sg-product">
            <a href="javascript:void(0)">
              <shimmer :height="364"></shimmer>
            </a> </div
          ><!-- /.sg-product -->
        </li>
      </ul>
    </div>
  </section>
</template>

<script>
import productCarouselList from "../pages/product-carousel-list";
import shimmer from "../partials/shimmer";

export default {
  name: "new_arrival",
  components: {
    productCarouselList,shimmer
  },
  data(){
    return {
      show_shimmer: true,
    }
  },
  props: ['new_arrival'],

  mounted() {
    this.checkShopComponent("new_arrival");
  },
  watch: {
    shopResponse() {
      this.checkShopComponent("new_arrival");
    },
  },
  computed: {
    products() {
      if (this.new_arrival && this.new_arrival.length == 0) {
        return ['id'];
      } else if (this.new_arrival && this.new_arrival.length > 0) {
        return this.new_arrival;
      } else {
        return [];
      }
    },
  },
  methods: {
    navigator() {
      window.scroll(0, 500);
      this.$store.commit('setActiveTab', 'product');

    },
    checkShopComponent(component_name) {
      let component = this.shopResponse ? this.shopResponse.find((data) => data == component_name) : '';

      if (component) {
        return (this.show_shimmer = false);
      }
    },
  }
}
</script>
<style scoped>
.my-card-shop >>> .flash_sale_img{
  margin-left:0px
}
.my-card-shop >>> .sg-product a svg {
  width: 30px;
  height: 30px;
  margin-inline-end: 0px;
  margin-top: 0px;
}
.my-card-shop >>> .slick-list{
  overflow:unset !important;
}
 section.products-section .flash_sale >>> .slick-slider.slick-initialized {
    margin-inline-end: 0px !important;
}
@media(max-width:991px){
  .my-card-shop >>> .sg-product.style-1{
    height: unset !important;
    min-height:unset !important;
  }
  .my-card-shop >>> .sg-product .product-info {
    margin: 0 !important;
  }
  .my-card-shop >>> .sg-product.style-1 .product-info {
    padding:9px 0 15px;
  }
  .my-card-shop >>> section.products-section .flash_sale .slick-slider.slick-initialized {
    margin-inline-end: 0px !important;
  }
}
@media (max-width: 350px){
  .my-card-shop >>> .sg-product .icons li a {
    width: 30px;
    height: 30px;
    font-size: 14px;
    line-height: 25px;
  }
}
</style>